clear; clc; close all;
ax=0.001;
ay=0;
velo = [ax,ay]; 
a = norm(velo);
nu=0.01;
sigma=1;
dom = [0,2,0,3];
elem=0;
p=1;
referenceElement = SetReferenceElement(elem,p); 
nx=5;
ny=10;
Ptype=2; %1=unsteady, 2=steady
methodSD=1; %1=SUPG, 2=GLS
methodtm=1; %1=R11, 2=R20, 3=R22

[X,T] = CreateMesh(dom,nx,ny,referenceElement);
example.dom = dom; 
example.velo = velo; 
example.a = a; 
example.nu = nu; 
example.sigma = sigma;
example.nx=nx;
example.ny=ny;
example.methodSD = methodSD; 
example.methodtm = methodtm; 

if Ptype==1;
    Super_main_unsteady
else
    Super_main_steady
end


